Bug 259995 - I type ALT+F2 and i wrote "konsole -e 'sudo apt-get update" and ther was the crash
Summary: I type ALT+F2 and i wrote "konsole -e 'sudo apt-get update" and ther was the ...
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Debian unstable Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 241531 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-12-15 21:17 UTC by Mauro D'Aloisio
Modified: 2011-01-16 18:49 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mauro D'Aloisio 2010-12-15 21:17:22 UTC
Application: krunner (0.1)
KDE Platform Version: 4.4.5 (KDE 4.4.5)
Qt Version: 4.6.3
Operating System: Linux 2.6.36-2.slh.1-aptosid-amd64 x86_64
Distribution (Platform): Debian unstable

-- Information about the crash:
I type ALT+F2 and i wrote "konsole -e 'sudo apt-get update" and ther was the crash

 -- Backtrace:
Application: Interfaccia al comando di esecuzione (krunner), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f64f54eb780 (LWP 2432))]

Thread 5 (Thread 0x7f64d6502710 (LWP 4166)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f64f2451e6b in wait (this=<value optimized out>, mutex=0x814380, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x814380, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f64ee62ae56 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x7c2c10, th=0xcc9710) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f64ee62d6fb in ThreadWeaver::WorkingHardState::applyForWork (this=0x73d020, th=0xcc9710) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f64ee62bc7f in ThreadWeaver::ThreadRunHelper::run (this=0x7f64d6501e10, parent=0x7c2c10, th=0xcc9710) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f64ee62c1d8 in ThreadWeaver::Thread::run (this=0xcc9710) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f64f2450e15 in QThreadPrivate::start (arg=0xcc9710) at thread/qthread_unix.cpp:248
#8  0x00007f64eb73c8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f64f4e1c02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f64cced3710 (LWP 4167)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
#1  0x00007f64eb74695e in _L_cond_lock_1028 () from /lib/libpthread.so.0
#2  0x00007f64eb74678b in __pthread_mutex_cond_lock (mutex=0x72a620) at ../nptl/pthread_mutex_lock.c:61
#3  0x00007f64eb741206 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:236
#4  0x00007f64eb97d460 in ?? () from /lib/libdbus-1.so.3
#5  0x00007f64eb96101d in ?? () from /lib/libdbus-1.so.3
#6  0x00007f64eb961477 in ?? () from /lib/libdbus-1.so.3
#7  0x00007f64eb961c52 in ?? () from /lib/libdbus-1.so.3
#8  0x00007f64eb9637a1 in ?? () from /lib/libdbus-1.so.3
#9  0x00007f64eb962e76 in dbus_connection_send_with_reply_and_block () from /lib/libdbus-1.so.3
#10 0x00007f64f28847e5 in q_dbus_connection_send_with_reply_and_block (this=0x725db0, message=..., sendMode=<value optimized out>, timeout=-1) at qdbus_symbols_p.h:133
#11 QDBusConnectionPrivate::sendWithReply (this=0x725db0, message=..., sendMode=<value optimized out>, timeout=-1) at qdbusintegrator.cpp:1828
#12 0x00007f64f28703f3 in QDBusConnection::call (this=0x72d9a0, message=..., mode=4294967295, timeout=7513632) at qdbusconnection.cpp:522
#13 0x00007f64f288e7a2 in QDBusAbstractInterface::callWithArgumentList (this=<value optimized out>, mode=QDBus::Block, method=<value optimized out>, args=<value optimized out>) at qdbusabstractinterface.cpp:440
#14 0x00007f64f288ed19 in QDBusAbstractInterface::internalConstCall (this=0x80, mode=QDBus::NoBlock, method=..., args=...) at qdbusabstractinterface.cpp:763
#15 0x00007f64f28721e3 in QDBusConnectionInterface::isServiceRegistered (this=0x72d5e0, serviceName=<value optimized out>) at qdbusconnectioninterface.cpp:207
#16 0x00007f64d58f4f15 in ?? () from /usr/lib/kde4/krunner_kget.so
#17 0x00007f64d58f5d78 in ?? () from /usr/lib/kde4/krunner_kget.so
#18 0x00007f64f42324ca in Plasma::AbstractRunner::performMatch (this=0x7f64d00073b0, localContext=...) at ../../plasma/abstractrunner.cpp:117
#19 0x00007f64ee62c935 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f64cced2d80, th=0xd2a5b0, job=0x7f64d000ac80) at ../../../threadweaver/Weaver/Job.cpp:106
#20 0x00007f64ee62cc2e in ThreadWeaver::Job::execute (this=0x7f64d000ac80, th=0xd2a5b0) at ../../../threadweaver/Weaver/Job.cpp:135
#21 0x00007f64ee62bc4f in ThreadWeaver::ThreadRunHelper::run (this=0x7f64cced2e10, parent=0x7c2c10, th=0xd2a5b0) at ../../../threadweaver/Weaver/Thread.cpp:95
#22 0x00007f64ee62c1d8 in ThreadWeaver::Thread::run (this=0xd2a5b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#23 0x00007f64f2450e15 in QThreadPrivate::start (arg=0xd2a5b0) at thread/qthread_unix.cpp:248
#24 0x00007f64eb73c8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#25 0x00007f64f4e1c02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#26 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f64cc6d2710 (LWP 4168)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f64f2451e6b in wait (this=<value optimized out>, mutex=0x814380, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x814380, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f64ee62ae56 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x7c2c10, th=0xd2f2d0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f64ee62d6fb in ThreadWeaver::WorkingHardState::applyForWork (this=0x73d020, th=0xd2f2d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f64ee62bc7f in ThreadWeaver::ThreadRunHelper::run (this=0x7f64cc6d1e10, parent=0x7c2c10, th=0xd2f2d0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f64ee62c1d8 in ThreadWeaver::Thread::run (this=0xd2f2d0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f64f2450e15 in QThreadPrivate::start (arg=0xd2f2d0) at thread/qthread_unix.cpp:248
#8  0x00007f64eb73c8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f64f4e1c02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f64cbed1710 (LWP 4169)):
#0  0x00007f64f4e11113 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f64eb976c20 in ?? () from /lib/libdbus-1.so.3
#2  0x00007f64eb97503d in ?? () from /lib/libdbus-1.so.3
#3  0x00007f64eb96149e in ?? () from /lib/libdbus-1.so.3
#4  0x00007f64eb961c52 in ?? () from /lib/libdbus-1.so.3
#5  0x00007f64eb9637a1 in ?? () from /lib/libdbus-1.so.3
#6  0x00007f64eb962e76 in dbus_connection_send_with_reply_and_block () from /lib/libdbus-1.so.3
#7  0x00007f64f28847e5 in q_dbus_connection_send_with_reply_and_block (this=0x725db0, message=..., sendMode=<value optimized out>, timeout=-1) at qdbus_symbols_p.h:133
#8  QDBusConnectionPrivate::sendWithReply (this=0x725db0, message=..., sendMode=<value optimized out>, timeout=-1) at qdbusintegrator.cpp:1828
#9  0x00007f64f28703f3 in QDBusConnection::call (this=0x72d9a0, message=..., mode=4294967295, timeout=0) at qdbusconnection.cpp:522
#10 0x00007f64f288e7a2 in QDBusAbstractInterface::callWithArgumentList (this=<value optimized out>, mode=QDBus::Block, method=<value optimized out>, args=<value optimized out>) at qdbusabstractinterface.cpp:440
#11 0x00007f64f288ed19 in QDBusAbstractInterface::internalConstCall (this=0x1, mode=4294967295, method=..., args=...) at qdbusabstractinterface.cpp:763
#12 0x00007f64f28721e3 in QDBusConnectionInterface::isServiceRegistered (this=0x72d5e0, serviceName=<value optimized out>) at qdbusconnectioninterface.cpp:207
#13 0x00007f64f2cbbd6a in KSycocaPrivate::checkDatabase (this=0x7f64c40023b0, ifNotFound=) at ../../kdecore/sycoca/ksycoca.cpp:412
#14 0x00007f64f2cbc985 in KSycoca::findFactory (this=0x7f64c4009a80, id=KST_KProtocolInfoFactory) at ../../kdecore/sycoca/ksycoca.cpp:455
#15 0x00007f64f2cc00a7 in KSycocaFactory::KSycocaFactory (this=0x7f64c4004410, factory_id=KST_KProtocolInfoFactory) at ../../kdecore/sycoca/ksycocafactory.cpp:53
#16 0x00007f64f2cc68b3 in KProtocolInfoFactory::KProtocolInfoFactory (this=0x7f64cbecf3b0) at ../../kdecore/sycoca/kprotocolinfofactory.cpp:29
#17 0x00007f64f2cc6b1a in self () at ../../kdecore/sycoca/ksycocafactory.h:200
#18 KProtocolInfoFactory::self () at ../../kdecore/sycoca/kprotocolinfofactory.cpp:121
#19 0x00007f64f2cc1431 in KProtocolInfo::proxiedBy (_protocol=...) at ../../kdecore/sycoca/kprotocolinfo.cpp:371
#20 0x00007f64eee2b9a8 in findProtocol (url=...) at ../../kio/kio/kprotocolmanager.cpp:610
#21 0x00007f64eee2bfd2 in KProtocolManager::supportsListing (url=...) at ../../kio/kio/kprotocolmanager.cpp:650
#22 0x00007f64eedd78d8 in KDirListerCache::validUrl (this=<value optimized out>, lister=0x7f64c40033c0, url=...) at ../../kio/kio/kdirlister.cpp:335
#23 0x00007f64eede0063 in KDirListerCache::listDir (this=0xbe2d20, lister=0x7f64c40033c0, _u=<value optimized out>, _keep=false, _reload=false) at ../../kio/kio/kdirlister.cpp:128
#24 0x00007f64d6face28 in KFilePlacesItem::KFilePlacesItem (this=0x7f64c4004230, manager=<value optimized out>, address=..., udi=<value optimized out>) at ../../kfile/kfileplacesitem.cpp:52
#25 0x00007f64d6faeb33 in KFilePlacesModel::Private::loadBookmarkList (this=0x7f64c4003fe0) at ../../kfile/kfileplacesmodel.cpp:433
#26 0x00007f64d6faefc0 in KFilePlacesModel::Private::_k_reloadBookmarks (this=0x7f64c4003fe0) at ../../kfile/kfileplacesmodel.cpp:342
#27 0x00007f64d6fb0363 in KFilePlacesModel::KFilePlacesModel (this=0x7f64cbed0b90, parent=<value optimized out>) at ../../kfile/kfileplacesmodel.cpp:154
#28 0x00007f64d71edfd8 in ?? () from /usr/lib/kde4/krunner_placesrunner.so
#29 0x00007f64f42324ca in Plasma::AbstractRunner::performMatch (this=0xb9d4d0, localContext=...) at ../../plasma/abstractrunner.cpp:117
#30 0x00007f64ee62c935 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f64cbed0d80, th=0xccc340, job=0xd23cb0) at ../../../threadweaver/Weaver/Job.cpp:106
#31 0x00007f64ee62cc2e in ThreadWeaver::Job::execute (this=0xd23cb0, th=0xccc340) at ../../../threadweaver/Weaver/Job.cpp:135
#32 0x00007f64ee62bc4f in ThreadWeaver::ThreadRunHelper::run (this=0x7f64cbed0e10, parent=0x7c2c10, th=0xccc340) at ../../../threadweaver/Weaver/Thread.cpp:95
#33 0x00007f64ee62c1d8 in ThreadWeaver::Thread::run (this=0xccc340) at ../../../threadweaver/Weaver/Thread.cpp:142
#34 0x00007f64f2450e15 in QThreadPrivate::start (arg=0xccc340) at thread/qthread_unix.cpp:248
#35 0x00007f64eb73c8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#36 0x00007f64f4e1c02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#37 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f64f54eb780 (LWP 2432)):
[KCrash Handler]
#5  ref (cmd=..., window=0x0, workingDirectory=...) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#6  QString (cmd=..., window=0x0, workingDirectory=...) at /usr/include/qt4/QtCore/qstring.h:715
#7  KRun::runCommand (cmd=..., window=0x0, workingDirectory=...) at ../../kio/kio/krun.cpp:1019
#8  0x00007f64eee2fa90 in KRun::runCommand (cmd=..., window=0x18) at ../../kio/kio/krun.cpp:1010
#9  0x00007f64d5afe665 in ?? () from /usr/lib/kde4/krunner_shell.so
#10 0x00007f64f42e9bd5 in Plasma::RunnerContext::run (this=0x73b250, match=...) at ../../plasma/runnercontext.cpp:544
#11 0x00007f64f42ecc47 in Plasma::RunnerManager::run (this=0x7e9a50, match=...) at ../../plasma/runnermanager.cpp:528
#12 0x00007f64f50dfd96 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_krunner.so
#13 0x00007f64f50e03c4 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_krunner.so
#14 0x00007f64f25532e6 in QMetaObject::activate (sender=0x884810, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3295
#15 0x00007f64f3e0e328 in KComboBox::qt_metacall (this=0x884810, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff412e850) at ./kcombobox.moc:111
#16 0x00007f64f3e20480 in KHistoryComboBox::qt_metacall (this=0x7f64f50a9e40, _c=24, _id=0, _a=0x0) at ./khistorycombobox.moc:83
#17 0x00007f64f25532e6 in QMetaObject::activate (sender=0x8d0970, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3295
#18 0x00007f64f1cee698 in QLineEdit::qt_metacall (this=0x8d0970, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff412ea20) at .moc/release-shared/moc_qlineedit.cpp:159
#19 0x00007f64f3e2fa95 in KLineEdit::qt_metacall (this=0x7f64f50a9e40, _c=24, _id=0, _a=0x0) at ./klineedit.moc:134
#20 0x00007f64f25532e6 in QMetaObject::activate (sender=0x8d1e60, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3295
#21 0x00007f64f1cf623c in QLineControl::processKeyEvent (this=0x8d1e60, event=0x7ffff412fb80) at widgets/qlinecontrol.cpp:1528
#22 0x00007f64f1ceaec1 in QLineEdit::keyPressEvent (this=<value optimized out>, event=0x18) at widgets/qlineedit.cpp:1667
#23 0x00007f64f3e2bf6d in KLineEdit::keyPressEvent (this=0x8d0970, e=0x7ffff412fb80) at ../../kdeui/widgets/klineedit.cpp:1025
#24 0x00007f64f19362de in QWidget::event (this=0x8d0970, event=0x7ffff412fb80) at kernel/qwidget.cpp:8079
#25 0x00007f64f1cec053 in QLineEdit::event (this=0x8d0970, e=0x7ffff412fb80) at widgets/qlineedit.cpp:1480
#26 0x00007f64f3e2d91a in KLineEdit::event (this=0x8d0970, ev=0x7ffff412fb80) at ../../kdeui/widgets/klineedit.cpp:1329
#27 0x00007f64f1cb2257 in QComboBox::keyPressEvent (this=0x884810, e=0x7ffff412fb80) at widgets/qcombobox.cpp:3000
#28 0x00007f64f3e201f4 in KHistoryComboBox::keyPressEvent (this=0x884810, e=0x7ffff412fb80) at ../../kdeui/widgets/khistorycombobox.cpp:344
#29 0x00007f64f19362de in QWidget::event (this=0x884810, event=0x7ffff412fb80) at kernel/qwidget.cpp:8079
#30 0x00007f64f18e032c in QApplicationPrivate::notify_helper (this=0x7335b0, receiver=0x884810, e=0x7ffff412fb80) at kernel/qapplication.cpp:4302
#31 0x00007f64f18e7fc5 in QApplication::notify (this=<value optimized out>, receiver=0x884810, e=0x7ffff412fb80) at kernel/qapplication.cpp:3765
#32 0x00007f64f3d5a7a6 in KApplication::notify (this=0x72e610, receiver=0x884810, event=0x7ffff412fb80) at ../../kdeui/kernel/kapplication.cpp:302
#33 0x00007f64f254009c in QCoreApplication::notifyInternal (this=0x72e610, receiver=0x884810, event=0x7ffff412fb80) at kernel/qcoreapplication.cpp:726
#34 0x00007f64f198ad6a in QKeyMapper::sendKeyEvent (keyWidget=0x884810, grab=<value optimized out>, type=QEvent::KeyPress, code=16777221, modifiers=<value optimized out>, text=..., autorepeat=false, count=1, nativeScanCode=104, nativeVirtualKey=65421, nativeModifiers=16) at kernel/qkeymapper_x11.cpp:1875
#35 0x00007f64f198d2e1 in QKeyMapperPrivate::translateKeyEvent (this=0x776350, keyWidget=0x884810, event=<value optimized out>, grab=24) at kernel/qkeymapper_x11.cpp:1845
#36 0x00007f64f1964a34 in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7ffff4130730) at kernel/qapplication_x11.cpp:3406
#37 0x00007f64f19905a2 in x11EventSourceDispatch (s=0x741210, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#38 0x00007f64eb08c6f2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#39 0x00007f64eb090568 in ?? () from /lib/libglib-2.0.so.0
#40 0x00007f64eb09071c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#41 0x00007f64f25696b3 in QEventDispatcherGlib::processEvents (this=0x70bc50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#42 0x00007f64f199019e in QGuiEventDispatcherGlib::processEvents (this=0x7f64f50a9e40, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#43 0x00007f64f253e9c2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#44 0x00007f64f253ed9c in QEventLoop::exec (this=0x7ffff4130a50, flags=) at kernel/qeventloop.cpp:201
#45 0x00007f64f2543a2b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#46 0x00007f64f50db864 in kdemain () from /usr/lib/kde4/libkdeinit/libkdeinit4_krunner.so
#47 0x00007f64f4d6bc4d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7ffff4130d18) at libc-start.c:228
#48 0x00000000004006a9 in _start ()

Possible duplicates by query: bug 251440, bug 248525, bug 248414, bug 243835, bug 241531.

Reported using DrKonqi
Comment 1 Hans-Rudi Denzler 2010-12-16 15:37:01 UTC
start a new session, Alt + F2: konsole -e 'dir
-> crash, but closing ' is missing.
Comment 2 Mauro D'Aloisio 2010-12-16 16:30:15 UTC
Hi Hans. I apologize, but I do not understand what I have to do.
However, when I type in krunner

konsole -e sudo apt-get update

without the character ', everything was fine
Comment 3 Hans-Rudi Denzler 2010-12-16 17:36:06 UTC
When I do this: Alt + F2: konsole -e 'dir
I get a Segmentation fault (11) and the KDE crash handling dialog appears where I could install Debug symbols for a meaningful report.

When I do a correctly quoted -e command: konsole --hold -e 'dir'
I get what I want.

Type in konsole:
> konsole --hold -e 'dir
> '                                

Type in konsole:
> konsole -e 'dir
> '
... This will leak standalone popupmenus and could lead to crashes.
Comment 4 Hans-Rudi Denzler 2010-12-16 18:16:59 UTC
> konsole --hold -e echo hello  (I wouldn't quote)
> konsole --hold -e 'echo hello' (no command echo hello)

-> I would test with konsole before using Alt + F2.
Comment 5 Matthias Fuchs 2011-01-16 17:21:23 UTC
This clearly looks like a KRun bug to me.
I was able to reproduce the crash with the wrong command
> konsole --hold -e 'dir
Comment 6 Matthias Fuchs 2011-01-16 17:58:08 UTC
*** Bug 241531 has been marked as a duplicate of this bug. ***
Comment 7 Matthias Fuchs 2011-01-16 18:41:01 UTC
SVN commit 1214856 by mfuchs:

Check if list is empty.
BUG:259995
CCMAIL:faure@kde.org

 M  +8 -1      krun.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1214856
Comment 8 Matthias Fuchs 2011-01-16 18:49:53 UTC
SVN commit 1214862 by mfuchs:

Backport r1214856
Check if list is empty.
CCBUG:259995

 M  +8 -1      krun.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1214862